:root {
    --white: #ffffff;
    --red: #ff3535;
    --silver: #EDEDED;
    --green: #008B27;
    --orange: #FB8F39;
    --blue: #1175E4;
    --black: #030303;

    --error: var(--red);
    --premium: linear-gradient(90deg, #0457B4, #248BFF);
    --premium-hover: linear-gradient(90deg, #0457B4, #0457B4);

    --link: #0066A6;

    --bg-header:var(--white);
    --bg-footer: var(--silver);
    --bg-form-el: rgb(232, 240, 254);
    --bg-header-btn: var(--silver);

    --color-button-premium: var(--white);
    --color-placeholder: var(--silver);
    --color-black: var(--black);

    --height-header: 64px;
    --height-button: 40px;

    --content-width-val: 1216px;

    --gap-form-field: 10px;
    --border-color-form-el: silver;
    --padding-left-form-element: 10px;
    --margin-bottom-label-form: 10px;

    --distance-micro: 4px;
    --distance-min: 8px;
    --distance-midi: 16px;
    --distance-max: 32px;
    --distance-mega: 64px;

    --border-radius-micro: 2px;
    --border-radius-min: 4px;
    --border-radius-midi: 8px;
    --border-radius-max: 16px;
    --border-radius-mega: 32px;

    --font-size-micro: 12px;
    --font-size-min: 16px;
    --font-size-midi: 20px;
    --font-size-max: 24px;
    --font-size-mega: 32px;
    --font-size-hyper: 48px;
    --font-size-giga: 64px;

    --font-size-h1: 20px;
    --font-size-h2: 18px;
    --font-size-h3: 16px;
    --font-size-h4: 14px;

    --border-silver: 1px solid #BFBFBF;
}

body { margin: 0px; padding: 0px; font-family: "Roboto", arial, sans-serif; background-color: #fff; height: 100%; font-size: 16px !important; -webkit-font-smoothing: antialiased; -moz-osx-font-smoothing: grayscale; color: #000; line-height: 1.4; }
html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, abbr, acronym, address, big, cite, code, del, dfn, em, img, ins, kbd, q, s, samp, small, strike, strong, sub, sup, tt, var, b, u, i, center, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td, article, aside, canvas, details, embed, figure, figcaption, footer, header, hgroup, menu, nav, output, ruby, section, summary, time, mark, audio, video { margin: 0; padding: 0; border: 0; font-size: 100%; }
article, aside, details, figcaption, figure, footer, header, hgroup, menu, nav, section, main { display: block; }
blockquote, q { quotes: none; }
blockquote:before, blockquote:after, q:before, q:after { content: ''; content: none; }
table { border-collapse: collapse; border-width: 0px; padding: 0px; margin: 0px; }
html { height: 100%; -webkit-text-size-adjust: none; -ms-text-size-adjust: none; }
input, textarea, select, button {   }
input, textarea { color: var(--black);  outline: none; border-radius: 0; -moz-border-radius: 0; -webkit-border-radius: 0; -webkit-appearance: none; }
input[type="button"], input[type="submit"], button { cursor: pointer; }
td { margin: 0px; padding: 0px; }
form { padding: 0px; margin: 0px; }
a { color: var(--premium); -webkit-transition: all 0.3s ease-in; transition: all 0.3s ease-in; text-decoration: underline;   }
a, span, div, button { outline: none !important; }
input[type=submit], input[type=button], button { -webkit-appearance: none; outline: none; }
* { box-sizing: border-box; -webkit-tap-highlight-color: rgba(0, 0, 0, 0); outline: none; }
*:before, *:after { box-sizing: border-box; }
strong { font-weight: 700; }
img, svg { max-width: 100%;  vertical-align: top}
input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus
input:-webkit-autofill,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover
textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
    -webkit-text-fill-color: #ссс;
    -webkit-box-shadow: 0 0 0px 1000px transparent inset;
    transition: background-color 5000s ease-in-out 0s;
    background: -webkit-linear-gradient(top,  rgba(255,255,255,0) 0%,rgba(0,174,255,0.04) 50%,rgba(255,255,255,0) 51%,rgba(0,174,255,0.03) 100%);
}
p {
}
ul, ol {
    margin-left: 30px;
}
.row {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
*, *:after, *:before {
    box-sizing: border-box;
}
h1, h2, h3, h4, h5, h6 {
    margin-top: 1rem;
    margin-bottom: 0.5rem;
}
/* desktop: >= 1200, tablet: >= 768, mobile < 768*/

@media screen and (max-width: 767px) {
    .mobile_hide {
        display: none;
    }
}

@media screen and (min-width: 768px) and (max-width: 1279px) {
    .tablet_hide {
        display: none;
    }
}

@media screen and (min-width: 1280px) and (max-width: 1439px) {
    .notebook_hide {
        display: none;
    }
}

@media screen and (min-width: 1440px) {
    .desktop_hide {
        display: none;
    }
}

.main-wrapper {
    overflow: hidden;
}

.container {
    width: var(--content-width-val);
    max-width: min(100%, var(--content-width-val));
    padding: 0px var(--distance-min);
    margin: 0px auto;
}
.e-con {
    --container-max-width: var(--content-width-val);
    --content-width: min(100%, var(--content-width-val));
}

